{
  "name": "trezor-connect",
  "version": "8.0.5",
  "author": "Trezor <info@trezor.io>",
  "homepage": "https://github.com/trezor/connect",
  "description": "High-level javascript interface for Trezor hardware wallet.",
  "license": "SEE LICENSE IN LICENSE.md",
  "private": true,
  "repository": {
    "type": "git",
    "url": "git://github.com/trezor/connect.git"
  },
  "bugs": {
    "url": "https://github.com/trezor/connect/issues"
  },
  "keywords": [
    "Trezor",
    "trezor-connect",
    "javascript"
  ],
  "main": "src/js/index.js",
  "browser": {
    "./lib/env/node": "./lib/env/browser",
    "./lib/env/node/workers": "./lib/env/browser/workers",
    "./lib/env/node/networkUtils": "./lib/env/browser/networkUtils"
  },
  "react-native": {
    "./lib/env/node": "./lib/env/react-native",
    "./lib/env/node/workers": "./lib/env/react-native/workers",
    "./lib/env/node/networkUtils": "./lib/env/react-native/networkUtils"
  },
  "bin": {
    "bump": "./node_modules/version-bump-prompt/bin/bump"
  },
  "scripts": {
    "dev": "webpack-dev-server --config ./webpack/config.dev.babel.js --mode development",
    "build": "rm -rf build && webpack --config ./webpack/config.prod.babel.js --progress",
    "build:node": "rm -rf build && webpack --config ./webpack/config.nodejs.babel.js --progress",
    "build:react-native": "rm -rf build && webpack --config ./webpack/config.reactnative.babel.js --progress",
    "build:inline": "webpack --config ./webpack/config.inline.babel.js --progress",
    "build:npm": "rm -rf npm && babel-node ./scripts/build-npm.js && babel ./npm/lib --out-dir ./npm/lib",
    "build:npm-extended": "rm -rf npm-extended && babel-node ./scripts/build-npm-extended.js && babel ./npm-extended/lib --out-dir ./npm-extended/lib",
    "stats": "webpack --config ./webpack/config.prod.babel.js --json > build/stats.json",
    "test": "bash ./src/__tests__/run.sh",
    "flow": "flow check src/js",
    "flow-tests": "flow check src/__tests__",
    "eslint": "eslint src/js",
    "eslint-tests": "eslint src/__tests__",
    "eslint-tests-fix": "eslint --fix src/__tests__",
    "eslint-fix": "eslint --fix src/js",
    "bump": "bump --patch"
  },
  "devDependencies": {
    "@babel/cli": "^7.5.5",
    "@babel/core": "^7.5.5",
    "@babel/node": "^7.5.5",
    "@babel/plugin-proposal-class-properties": "^7.5.5",
    "@babel/plugin-proposal-object-rest-spread": "^7.5.5",
    "@babel/plugin-transform-runtime": "^7.5.5",
    "@babel/preset-env": "^7.5.5",
    "@babel/preset-flow": "^7.0.0",
    "@trezor/blockchain-link": "1.0.0-rc3",
    "@trezor/utxo-lib": "^0.0.2",
    "babel-collect-imports": "https://github.com/szymonlesisz/babel-collect-imports",
    "babel-eslint": "^10.0.1",
    "babel-loader": "^8.0.0",
    "bchaddrjs": "0.3.2",
    "bignumber.js": "^9.0.0",
    "bowser": "^1.9.3",
    "copy-webpack-plugin": "^5.0.4",
    "css-loader": "^3.1.0",
    "es6-promise": "^4.2.2",
    "eslint": "^5.16.0",
    "eslint-plugin-flowtype": "^3.10.3",
    "eslint-plugin-promise": "^4.1.1",
    "eslint-plugin-standard": "^4.0.0",
    "file-loader": "^4.1.0",
    "flow-bin": "0.104.0",
    "fs-extra": "^8.1.0",
    "hd-wallet": "9.0.0-bigint.6",
    "html-webpack-plugin": "^3.2.0",
    "jasmine-ajax": "^3.4.0",
    "jasmine-core": "^3.1.0",
    "karma": "^4.1.0",
    "karma-babel-preprocessor": "^8.0.0",
    "karma-chrome-launcher": "^2.2.0",
    "karma-firefox-launcher": "^1.0.1",
    "karma-jasmine": "^2.0.1",
    "karma-jasmine-async": "^0.0.1",
    "karma-safari-launcher": "^1.0.0",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-webpack": "^4.0.2",
    "keccak": "^2.0.0",
    "less": "^3.0.4",
    "less-loader": "^5.0.0",
    "less-plugin-autoprefix": "^2.0.0",
    "less-plugin-clean-css": "^1.5.1",
    "lodash": "^4.17.15",
    "mini-css-extract-plugin": "^0.8.0",
    "node-fetch": "^2.6.0",
    "parse-uri": "^1.0.0",
    "ripple-lib": "^1.2.4",
    "sharedworker-loader": "^2.1.1",
    "style-loader": "^0.23.1",
    "terser-webpack-plugin": "^1.4.1",
    "tiny-worker": "^2.2.0",
    "trezor-link": "1.6.5",
    "uglify-es": "3.3.9",
    "version-bump-prompt": "^4.1.0",
    "webpack": "^4.38.0",
    "webpack-cli": "^3.3.6",
    "webpack-dev-server": "^3.7.2",
    "worker-loader": "^2.0.0"
  },
  "dependencies": {
    "@babel/runtime": "^7.5.5",
    "events": "^3.0.0",
    "whatwg-fetch": "^3.0.0"
  },
  "extendedDependencies": {
    "@trezor/blockchain-link": "1.0.0-rc1",
    "@trezor/utxo-lib": "^0.0.2",
    "bchaddrjs": "^0.2.1",
    "bignumber.js": "^8.0.2",
    "bowser": "^1.9.3",
    "hd-wallet": "9.0.0-bigint.6",
    "keccak": "^2.0.0",
    "lodash": "^4.17.15",
    "node-fetch": "^2.6.0",
    "parse-uri": "^1.0.0",
    "tiny-worker": "^2.0.3",
    "trezor-link": "1.6.4"
  }
}